%define name freeciv
%define version 1.10.0
%define prefix %{_prefix}

Summary: FREE CIVilization clone
Name: %{name}
Version: %{version}
Release: 5mdk
Icon: %{name}.gif 
Source0: http://www.freeciv.org/ftp/stable_version/%{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}-client.xpm.bz2
Source3: %{name}-server.xpm.bz2
Source4: %{name}-client-32.xpm.bz2
Copyright: GPL
Group: Games/Strategy
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.freeciv.org

%description
Freeciv is a multiplayer strategy game, released under the GNU General Public
License. It is generally comparable with Civilization II(r), published by
Microprose(r).

%prep

%setup

%build

cat po/Makefile.in.in | sed 's/prefix = @prefix@/prefix = $(DESTDIR)@prefix@/g' > po/Makefile.in.in.tmp
mv po/Makefile.in.in.tmp po/Makefile.in.in	

%configure --bindir=/usr/games --datadir=/usr/share/games
make

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install -m 644 data/Freeciv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Freeciv

# menu
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

# icons
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}-client.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}-server.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}-client.xpm

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%files
%defattr(-,root,root,0755)
%doc AUTHORS BUGS ChangeLog HOWTOPLAY NEWS README README.AI README.graphics README.rulesets freeciv_hackers_guide.txt
%defattr(-,root,games,0755)
/usr/games/*
/usr/share/games/freeciv
/usr/X11R6/lib/X11/app-defaults/Freeciv
/usr/share/locale/*/LC_MESSAGES/%{name}.mo
/usr/lib/menu/%{name}
/usr/share/icons/%{name}-client.xpm
/usr/share/icons/mini/%{name}-client.xpm
/usr/share/icons/mini/%{name}-server.xpm


%changelog
* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-5mdk
- fixed directory owns
- added 32x32 icon

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-4mdk
- added icons

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-3mdk
- fixed minor warning in menus

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-2mdk
- new groups
- menu entry
- complete rewrite of this piece of sh*t specfile

* Tue Mar 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com>
- 1.10.0 stable release

* Mon Jan 03 2000 Jerome Martin <jerome@mandrakesoft.com>
- Fixing some file permissions

* Thu Dec 30 1999 Jerome Martin <jerome@mandrakesoft.com>
- Fixing some file permissions

* Mon Dec 06 1999 Jerome Martin <jerome@mandrakesoft.com>
- 1.9.0 stable release

* Sat Jul 10 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.8.1 release
- add /usr/share/games/freeciv/trident

* Sun Jun 27 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Update to CVS snapshot
- Enable building the GTK client

* Thu May 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Corrected file permissions on /usr/share/games/freeciv/*

* Mon May 10 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.8.0

* Tue Apr 20 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-99-Apr-20

* Sat Mar  6 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-99-Mar-06 (better graphics etc.)
- install man pages from debian directory

* Thu Feb  4 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-99-Feb-04 (adds space race support)
- install man pages from debian directory

* Sun Dec 27 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-98-Dec-26 (1.7.2)

* Sat Dec 19 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to pre-1.7.2 to get easy mode and Xaw3d support
- Use Xaw3d

* Sat Sep 19 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Updated to 1.7.1
- Switched to using configure instead of imake... If it doesn't work,
  Just comment/uncomment the appropriate blocks.
- Changed the install directories to be FHS-1.0 conformant.
- sed'd the civ script so it has the correct path to the data directory.
- Added %attr to the %files so non-root can build.

* Thu Aug 6 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated to 1.7.0
* Sat Jun 20 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated to 1.6.3
- Added BuildRoot
